c     Inner MVM loop
c     Alex Weisse, 2000/12/06
c
      subroutine mvm(v,a,w,n)
      implicit none
      integer n, i, j
      double precision v(n), a(n,n), w(n)

      do i=1,n
         do j=1,n
            v(i) = v(i) + a(j,i)*w(j)
         enddo
      enddo
      
      return
      end
